2019-12-15 12:03 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002130NetSurfLayoutpublic2014-08-04 20:01
ReporterChris Young 
Assigned To 
SeveritycrashReproducibilityhave not tried 
StatusacknowledgedResolutionopen 
PlatformAmigaOSAmigaOSOS Version4.1
Product Version3.2 
Target VersionFixed in Version 
Summary0002130: Crash on forum page
DescriptionWhen trying to reproduce 0002128, NetSurf crashed accessing http://www.amigans.net/modules/xforum/viewtopic.php?topic_id=6549&forum=27
I'm not sure if this is related to the system freeze in that bug.
Additional InformationStack trace:
    native kernel module newlib.library.kmod+0x000128a4
    native kernel module newlib.library.kmod+0x00012774
    css__selector_hash_create()+0x4c (section 1 @ 0x43ED3C)
    css_stylesheet_create()+0x14c (section 1 @ 0x420560)
    [css/select.c:193] nscss_create_inline_style()+0x84 (section 1 @ 0x89F5C)
    [render/box_construct.c:1320] convert_xml_to_box()+0x8c4 (section 1 @ 0xBDA24)
    [amiga/schedule.c:161] schedule_run()+0x7c (section 1 @ 0x32088)
    [amiga/gui.c:2617] ami_get_msg()+0x200 (section 1 @ 0x1CAB4)
    [desktop/netsurf.c:260] netsurf_main_loop()+0x54 (section 1 @ 0x9D97C)
    [amiga/gui.c:5324] main()+0x5e4 (section 1 @ 0x1D780)
    native kernel module newlib.library.kmod+0x000020ac
    native kernel module newlib.library.kmod+0x00002d5c
    native kernel module newlib.library.kmod+0x00002ef0
    _start()+0x170 (section 1 @ 0x16C)
    native kernel module dos.library.kmod+0x00024cd0
    native kernel module kernel+0x0003b4b0
    native kernel module kernel+0x0003b530
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #1900
URL of problem pagehttp://www.amigans.net/modules/xforum/viewtopic.php?topic_id=6549&forum=27
Attached Files

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0000441

Daniel Silverstone (administrator)

This page also contains the enormous animated GIF Unsure if this is related though. We cannot reproduce any crashing similar to the above though.
Chris Young

~0000445

Chris Young (developer)

Last edited: 2014-08-04 20:01

View 2 revisions

I'm still getting a complete system freeze on that page, so it's going to be difficult to tell whether the crashing is fixed until 2128 is resolved.

+Notes

-Issue History
Date Modified Username Field Change
2014-05-22 18:34 Chris Young New Issue
2014-05-22 18:34 Chris Young File Added: Crashlog_NetSurf_2014-05-22_19-03-11.txt
2014-05-24 20:19 Vincent Sanders Status new => acknowledged
2014-05-24 20:19 Vincent Sanders Description Updated View Revisions
2014-05-24 20:19 Vincent Sanders Additional Information Updated View Revisions
2014-08-03 14:58 Daniel Silverstone Note Added: 0000441
2014-08-04 20:00 Chris Young Note Added: 0000445
2014-08-04 20:01 Chris Young Note Edited: 0000445 View Revisions
+Issue History